/*	---------------------------------------------------------------------------------------------
	Find_icon, code for constructing icon suites for files and folders
	
	by James W. Walker
	preferred e-mail: <mailto:jwwalker@kagi.com>
	alternate e-mail: <mailto:jwwalker@aol.com>, <jim@nisus-soft.com>
	web: <http://users.aol.com/jwwalker/>
	
	File: Find_generic_icon_id.h
	
	Copyright 1997 by James W. Walker
	
	You may incorporate this sample code into your applications without
	restriction, though the sample code has been provided "AS IS" and the
	responsibility for its operation is 100% yours.
	If you're going to re-distribute the source, please make it clear
	that the code was descended from James W. Walker's code,
	but that you've made changes.
	---------------------------------------------------------------------------------------------
*/

#ifndef __TYPES__
	#include <Types.h>
#endif

typedef enum
{
	kGenericIconInFinder = 1,
	kGenericIconInSystem
} EGenericIconLocation;

short	Find_generic_icon_id(
/* --> */	OSType the_type,
/* <-- */	EGenericIconLocation	*inWhere );
/*	 Certain file types have generic icons, which the Finder uses if
	the file does not have a custom or desktop icon.  This function
	returns the resource ID of this icon, and a flag telling whether
	the icons lives in the Finder instead of the System.  If there is
	no specific icon for this type, kGenericDocumentIconResource will
	be returned.
	
	the_type	input:	file type
	inWhere		output:	indicates whether the icon lives in System or Finder
	
	Returns:	a resource ID number
*/
