/*	---------------------------------------------------------------------------------------------
	Find_icon, code for constructing icon suites for files and folders
	
	by James W. Walker
	preferred e-mail: <mailto:jwwalker@kagi.com>
	alternate e-mail: <mailto:jwwalker@aol.com>, <jim@nisus-soft.com>
	web: <http://users.aol.com/jwwalker/>
	
	File: Get_custom_file_icon.h
	
	Copyright 1997 by James W. Walker
	
	You may incorporate this sample code into your applications without
	restriction, though the sample code has been provided "AS IS" and the
	responsibility for its operation is 100% yours.
	If you're going to re-distribute the source, please make it clear
	that the code was descended from James W. Walker's code,
	but that you've made changes.
	---------------------------------------------------------------------------------------------
*/

#ifndef __TYPES__
	#include <Types.h>
#endif

#ifndef __FILES__
	#include <Files.h>
#endif

#ifndef	_H_MetaSelector_
	#include "MetaSelector.h"
#endif

OSErr	Get_custom_file_icon(
/* --> */	const FSSpec		*filespec,
/* --> */	MetaSelectorValue	iconSelector,
/* <-- */	Handle	*the_suite
);
/*	 Create an icon suite  for a file that has a custom icon.

	filespec		input:	file specification
	iconSelector	input:	an icon type mask, as defined in <Icons.h>.
							You can also use the special masks in MetaSelector.h,
							for instance svLargeThenSmall means to first
							search for large icons, but if none are found,
							try for small icons.
	the_suite		output:	The new icon suite.
*/
