/*	---------------------------------------------------------------------------------------------
	Find_icon, code for constructing icon suites for files and folders
	
	by James W. Walker
	preferred e-mail: <mailto:jwwalker@kagi.com>
	alternate e-mail: <mailto:jwwalker@aol.com>, <jim@nisus-soft.com>
	web: <http://users.aol.com/jwwalker/>
	
	File: Get_normal_folder_icon.h
	
	Copyright 1997 by James W. Walker
	
	You may incorporate this sample code into your applications without
	restriction, though the sample code has been provided "AS IS" and the
	responsibility for its operation is 100% yours.
	If you're going to re-distribute the source, please make it clear
	that the code was descended from James W. Walker's code,
	but that you've made changes.
	---------------------------------------------------------------------------------------------
*/

#ifndef __TYPES__
	#include <Types.h>
#endif

#ifndef __ICONS__
	#include <Icons.h>
#endif

#ifndef __FILES__
	#include <Files.h>
#endif

#ifndef	_H_MetaSelector_
	#include "MetaSelector.h"
#endif

OSErr	Get_normal_folder_icon(
/* --> */	const CInfoPBRec	*cpb,
/* --> */	MetaSelectorValue	icon_selector,
/* <-- */	Handle	*the_suite
);
/*	 Create an icon suite for a folder, assuming that it does not have
	a custom icon.  This includes finding special icons for the special
	folders found by FindFolder, and shared folders.
	The icons in the suite are not resources, and it is your
	responsibility to dispose of the suite when you are done with it.

	cpb				input:	A parameter block describing the folder, filled in
							by PBGetCatInfo.
	icon_selector	input:	an icon type mask, as defined in <Icons.h>.
							You can also use the special masks in MetaSelector.h,
							for instance svLargeThenSmall means to first
							search for large icons, but if none are found,
							try for small icons.
	the_suite		output:	The new icon suite.
*/
