/*	---------------------------------------------------------------------------------------------
	Find_icon, code for constructing icon suites for files and folders
	
	by James W. Walker
	preferred e-mail: <mailto:jwwalker@kagi.com>
	alternate e-mail: <mailto:jwwalker@aol.com>, <jim@nisus-soft.com>
	web: <http://users.aol.com/jwwalker/>
	
	File: Get_resource_icons.h
	
	Copyright 1997 by James W. Walker
	
	You may incorporate this sample code into your applications without
	restriction, though the sample code has been provided "AS IS" and the
	responsibility for its operation is 100% yours.
	If you're going to re-distribute the source, please make it clear
	that the code was descended from James W. Walker's code,
	but that you've made changes.
	---------------------------------------------------------------------------------------------
*/

#ifndef __TYPES__
	#include <Types.h>
#endif

#ifndef __ICONS__
	#include <Icons.h>
#endif

pascal OSErr Get1_resource_icons(
/* <-- */	Handle *theSuite,
/* --> */	short theID,
/* --> */	IconSelectorValue theSelector
);
/*	 Create an icon suite from resources.  It uses the Find_icon call
	Get1IconSuite, but then copies the icons so that the suite will
	not contain resources.
	It is your responsibility to dispose of the suite when you are
	done with it.
	
	theSuite	output:		the new icon suite
	theID		input:		the resource ID of the icon resources
	theSelector	input:		an icon type mask, as defined in <Icons.h>.
*/


pascal OSErr Get_resource_icons(
/* <-- */	Handle *theSuite,
/* --> */	short theID,
/* --> */	IconSelectorValue theSelector
);
/*	 Create an icon suite from resources.  It uses the toolbox call
	GetIconSuite, but then copies the icons so that the suite will
	not contain resources.
	It is your responsibility to dispose of the suite when you are
	done with it.
	
	theSuite	output:		the new icon suite
	theID		input:		the resource ID of the icon resources
	theSelector	input:		an icon type mask, as defined in <Icons.h>.
*/

