/*	---------------------------------------------------------------------------------------------
	Find_icon, code for constructing icon suites for files and folders
	
	by James W. Walker
	preferred e-mail: <mailto:jwwalker@kagi.com>
	alternate e-mail: <mailto:jwwalker@aol.com>, <jim@nisus-soft.com>
	web: <http://users.aol.com/jwwalker/>
	
	File: Get_volume_icon.h
	
	Copyright 1997 by James W. Walker
	
	You may incorporate this sample code into your applications without
	restriction, though the sample code has been provided "AS IS" and the
	responsibility for its operation is 100% yours.
	If you're going to re-distribute the source, please make it clear
	that the code was descended from James W. Walker's code,
	but that you've made changes.
	---------------------------------------------------------------------------------------------
*/

#ifndef __TYPES__
	#include <Types.h>
#endif

OSErr	Get_volume_icon(
/* --> */	short	vRefNum,
/* <-- */	Handle	*the_suite
);
/*	 Find an icon suite to represent a volume, assuming that the volume
	does not have a custom icon.  Normally, this will be the 'ICN#' icon
	obtained from the disk driver.  If there was some error getting that,
	we use the kFloppyIconResource system resource icon suite.  In either
	case, the icons in the suite are not resources, and it is your
	responsibility to dispose of the suite when you are done with it.
	
	vRefNum		input:	volume specification
	the_suite	output:	a newly created icon suite
*/
