/*	---------------------------------------------------------------------------------------------
	Find_icon, code for constructing icon suites for files and folders
	
	by James W. Walker
	preferred e-mail: <mailto:jwwalker@kagi.com>
	alternate e-mail: <mailto:jwwalker@aol.com>, <jim@nisus-soft.com>
	web: <http://users.aol.com/jwwalker/>
	
	File: MetaSelector.h
	
	Copyright 1997 by James W. Walker
	
	You may incorporate this sample code into your applications without
	restriction, though the sample code has been provided "AS IS" and the
	responsibility for its operation is 100% yours.
	If you're going to re-distribute the source, please make it clear
	that the code was descended from James W. Walker's code,
	but that you've made changes.
	---------------------------------------------------------------------------------------------
*/

#ifndef	_H_MetaSelector_
#define	_H_MetaSelector_

#ifndef __TYPES__
	#include <Types.h>
#endif

#ifndef __ICONS__
	#include <Icons.h>
#endif

enum {	// meta-selector values
	kSelectorSmallThenLarge	= 0x0100FF00L,
	kSelectorLargeThenSmall	= 0x010000FFL
};

typedef IconSelectorValue MetaSelectorValue;

void	ExpandMetaSelector(
/* --> */	MetaSelectorValue metaSelector,
/* <-- */	IconSelectorValue* firstTry,
/* <-- */	IconSelectorValue* secondTry
);
/*	 In addition to the icon selector masks provided in <Icons.h>,
	I have provided the two special masks above.  For instance
	kSelectorSmallThenLarge means that the first try will be with
	kSelectorAllSmallData, and the second with be with
	kSelectorAllLargeData.  If the metaSelector is not one of the
	two special values, then it is returned as firstTry, and 0
	is returned as secondTry.

	metaSelector	input:	One of the two special selectors enumerated
							above, or a standard selector mask as
							defined in <Icons.h>.
	firstTry		output: The first icon selector mask, as defined
							in <Icons.h>.
	secondTry		output: The second icon selector mask.
*/



#endif // _H_MetaSelector_
