/*	---------------------------------------------------------------------------------------------
	Find_icon, code for constructing icon suites for files and folders
	
	by James W. Walker
	preferred e-mail: <mailto:jwwalker@kagi.com>
	alternate e-mail: <mailto:jwwalker@aol.com>, <jim@nisus-soft.com>
	web: <http://users.aol.com/jwwalker/>
	
	File: MetaSelector.c
	
	Copyright 1997 by James W. Walker
	
	You may incorporate this sample code into your applications without
	restriction, though the sample code has been provided "AS IS" and the
	responsibility for its operation is 100% yours.
	If you're going to re-distribute the source, please make it clear
	that the code was descended from James W. Walker's code,
	but that you've made changes.
	---------------------------------------------------------------------------------------------
*/


#include "MetaSelector.h"

void	ExpandMetaSelector(
/* --> */	MetaSelectorValue metaSelector,
/* <-- */	IconSelectorValue* firstTry,
/* <-- */	IconSelectorValue* secondTry
)
{
	if (metaSelector == kSelectorSmallThenLarge)
	{
		*firstTry = kSelectorAllSmallData;
		*secondTry = kSelectorAllLargeData;
	}
	else if (metaSelector == kSelectorLargeThenSmall)
	{
		*firstTry = kSelectorAllLargeData;
		*secondTry = kSelectorAllSmallData;
	}
	else
	{
		*firstTry = metaSelector;
		*secondTry = 0;
	}
}
